/*===========================================================================


       formedit.cpp - editor for forms for the eBookMan

                      Copyright  2001, 2003 by Pankhurst Algorithmics
                      (www.pankhurst.com, www.ebmDevMag.com)
                      All Rights Reserved


 ** LICENSE ********************************************************************
 *                                                                             *
 *  Version: MPL 1.1                                                           *
 *                                                                             *
 *  The contents of this file are subject to the Mozilla Public License        *
 *  Version 1.1 (the "License"); you may not use this file except in           *
 *  compliance with the License. You may obtain a copy of the License at       *
 *  http://www.mozilla.org/MPL/                                                *
 *                                                                             *
 *  Software distributed under the License is distributed on an "AS IS" basis, *
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License   *
 *  for the specific language governing rights and limitations under the       *
 *  License.                                                                   *
 *                                                                             *
 *  The Original Code is: eBookMan Form Editor                                 *
 *                                                                             *
 *  The Initial Developer of the Original Code is                              *
 *  Pankhurst Algorithmics                                                     *
 *                                                                             *
 *  Portions created by the Initial Developer are Copyright (C) 2001-2003      *
 *  Pankhurst Algorithmics. All Rights Reserved.                               *
 *                                                                             *
 *                                                                             *
 *******************************************************************************


===========================================================================*/
#include <vcl.h>
#pragma hdrstop
USEFORM("main.cpp", BackPanel);
USEFORM("about.cpp", AboutBox);
USEFORM("dlgCpp.cpp", dlgCodeSettings);
USEFORM("text_dlg.cpp", dlgText);
USEUNIT("objcreat.cpp");
USEUNIT("formgrp.cpp");
USERES("formedit.res");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->Title = "Pankhurst Algorithmics' FormEdit";
                 Application->HelpFile = "FORMEDIT.HLP";
                 Application->CreateForm(__classid(TBackPanel), &BackPanel);
                 Application->CreateForm(__classid(TAboutBox), &AboutBox);
                 Application->CreateForm(__classid(TdlgCodeSettings), &dlgCodeSettings);
                 Application->CreateForm(__classid(TdlgText), &dlgText);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
