#ifndef aboutH
#define aboutH
/*===========================================================================


       about.h -    about panel form code
       
                    Copyright  2001, 2003 by Pankhurst Algorithmics
                    (www.pankhurst.com, www.ebmDevMag.com)
                    All Rights Reserved


===========================================================================*/
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
//----------------------------------------------------------------------------
class TAboutBox : public TForm
{

  __published:

    TButton *OKButton;
    TPanel *Panel2;
    TPanel *Panel1;
    TImage *ProgramIcon;
    TLabel *ProductName;
    TLabel *Version;
    TLabel *Copyright;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TButton *Button1;
    void __fastcall ProgramIconClick(TObject *Sender);
    
  private:

    void TAboutBox::GetFileVersionInformation(const char *filePath,char *buff);

  public:

    virtual __fastcall TAboutBox(TComponent* AOwner);

};
//----------------------------------------------------------------------------
extern PACKAGE TAboutBox *AboutBox;
//----------------------------------------------------------------------------
#endif    
