#ifndef dlgCppH
#define dlgCppH
/*===========================================================================


       dlgcpp.h -   dialog to handle code output settings when writing file

                    Copyright  2001, 2003 by Pankhurst Algorithmics
                    (www.pankhurst.com, www.ebmDevMag.com)
                    All Rights Reserved


===========================================================================*/
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class CFormGroup;
//---------------------------------------------------------------------------
class TdlgCodeSettings : public TForm
{

  __published:	// IDE-managed Components

    TSaveDialog *SaveDialog1;
    TGroupBox *GroupBox1;
    TGroupBox *GroupBox2;
    TCheckBox *CHECK_UNIXSTYLE;
    TCheckBox *CHECK_INCLUDEMAIN;
    TRadioButton *RADIO_USEFILE;
    TRadioButton *RADIO_USECLIPBOARD;
    TButton *Button1;
    TLabel *Label1;
    TButton *Button2;
    TButton *Button3;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);

  private:	// User declarations

  public:		// User declarations

    __fastcall TdlgCodeSettings(TComponent* Owner);
    bool Execute(CFormGroup *obj,bool silentMode);

};
//---------------------------------------------------------------------------
extern PACKAGE TdlgCodeSettings *dlgCodeSettings;
//---------------------------------------------------------------------------
#endif
