/*===========================================================================


       text_dlg.cpp - form code - dialog to view/edit text block

                      Copyright  2001, 2003 by Pankhurst Algorithmics
                      (www.pankhurst.com, www.ebmDevMag.com)
                      All Rights Reserved


 ** LICENSE ********************************************************************
 *                                                                             *
 *  Version: MPL 1.1                                                           *
 *                                                                             *
 *  The contents of this file are subject to the Mozilla Public License        *
 *  Version 1.1 (the "License"); you may not use this file except in           *
 *  compliance with the License. You may obtain a copy of the License at       *
 *  http://www.mozilla.org/MPL/                                                *
 *                                                                             *
 *  Software distributed under the License is distributed on an "AS IS" basis, *
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License   *
 *  for the specific language governing rights and limitations under the       *
 *  License.                                                                   *
 *                                                                             *
 *  The Original Code is: eBookMan Form Editor                                 *
 *                                                                             *
 *  The Initial Developer of the Original Code is                              *
 *  Pankhurst Algorithmics                                                     *
 *                                                                             *
 *  Portions created by the Initial Developer are Copyright (C) 2001-2003      *
 *  Pankhurst Algorithmics. All Rights Reserved.                               *
 *                                                                             *
 *                                                                             *
 *******************************************************************************


===========================================================================*/
#include <vcl.h>
#pragma hdrstop

#include "text_dlg.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TdlgText *dlgText;
//---------------------------------------------------------------------------
__fastcall TdlgText::TdlgText(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
bool TdlgText::Execute(const char *caption,char **text)
{
  // show dialog with data; allow editing and ok/cancel (via returned success flag)
  Caption=caption;
  TEXT->Text=*text;
  if (mrOk!=ShowModal())
    return false;
  try
  {
    char *ptr=new char[strlen(TEXT->Text.c_str())+1];
    strcpy(ptr,TEXT->Text.c_str());
    delete[] *text;
    *text=ptr;
    return true;
  }
  catch (...)
  {
    return false;
  }
}
//---------------------------------------------------------------------------

